========================================
Anaconda repository changelog (AER 2.31)
========================================

.. raw:: html

    <p>SEE ALSO: <a class="reference internal" href="update-uninstall.html"><span class="doc">update instructions for current and past versions</span></a>.</p>
    <div class="section" id="id1">
    <h2>2.31.6 - 2017-08-08<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Email notification when added as a collaborator</li>
    <li>Labels regex now distinguishes uppercase characters</li>
    <li>Added site export tool</li>
    <li>Upload option for installers</li>
    <li>Added button to review the build log next to each installer file</li>
    <li>Version specific landing page for packages</li>
    <li>Added group info to site export tool</li>
    <li>Upload option for environments</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Layout issues on dashboard and repo pages</li>
    <li>Remove user from groups when the account is removed</li>
    <li>Remove user as a collaborator for installers/packages/projects/notebooks/environments when is deleted</li>
    <li>Show only projects with files in projects list</li>
    <li>CSV export of users</li>
    <li>Typeahead for multi-type packages</li>
    <li>Added user validation to remove collaborator form</li>
    <li>Metadata display on package API</li>
    <li>Cache key generation and diskcache size limit parameter</li>
    <li>Empty packages will no longer appear in search results</li>
    </ul>
    </div>
    <div class="section" id="id2">
    <h2>2.31.4 - 2017-08-03<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Fixed repodata caching</li>
    </ul>
    </div>
    <div class="section" id="id3">
    <h2>2.31.3 - 2017-07-27<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Fixed label validation</li>
    </ul>
    </div>
    <div class="section" id="id4">
    <h2>2.31.2 - 2017-07-24<a class="headerlink" href="#id4" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Tool to check a file&#8217;s checksum</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Show conda packages install instructions only for available labels</li>
    <li>Solved exception raise by <cite>anaconda-server-admin clean-storage</cite></li>
    <li>Hide empty packages/environments/notebooks from dashboard/profile page</li>
    <li>Solved exception raised creating an installer from an empty environment</li>
    <li>Fixed style issues with dashboard/profile page.</li>
    <li>Added help info in profile page</li>
    <li>Show correct icons in objects page</li>
    <li>Removed extra space from groups breadcrumb</li>
    <li>Fixed license not updating</li>
    <li>Hide License expired message overlay during session when alert is closed</li>
    <li>Fixed email sending on forgot password and forgot username</li>
    </ul>
    </div>
    <div class="section" id="id5">
    <h2>2.31.1 - 2017-07-13<a class="headerlink" href="#id5" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Docs for LDAP timeout</li>
    <li><cite>&#8211;clean-platforms</cite> option for <cite>anaconda-server-sync-conda</cite></li>
    <li>Docs for backup and restore procedures based on the default installation</li>
    <li>Added setting for custom installers location</li>
    <li>Updated FontAwesome to 4.7.0</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Displays the latest release data on the package page</li>
    <li>Fixed panel size in profile page and added scrollbars on overflow</li>
    <li>Show latest version available for each platform in conda packages</li>
    <li>Custom installers pre-configured to point to repo instance</li>
    <li>Exception when trying to display security log</li>
    <li>Display the correct username on the navigation bar</li>
    <li>Remove unused logging configuration</li>
    <li>Python tags on environment.yaml now parsed on installer creation from environment</li>
    <li>Omitting non-conda dependencies on installer creation from environment</li>
    <li>Updated documentation links</li>
    <li>Added missing R packages icons</li>
    <li>Unicode issue on Contact Us form for anaconda cloud</li>
    <li>Fixed CSS issue on Internet Explorer</li>
    <li>Solved issues with labels containing slashes and spaces</li>
    <li>Updated link to conda documentation</li>
    <li>Force pypi mirroring for a new mirror user</li>
    <li>Fixed validation when setting packages to private in bulk</li>
    <li>Fixed some UI issues with long names</li>
    <li>Fixed org creation on mirroring tools</li>
    <li>Labels link takes you to all type package listing</li>
    <li>Package type filter set to &#8216;all&#8217; will not show notebooks/environments anymore</li>
    <li>Confirmation of package delete with username input works also using uppercase</li>
    <li>Correct order of search filters</li>
    <li>Fixed typeahead endpoints</li>
    <li>Fixed duplicated channels on custom installers</li>
    <li>Allowing slashes on token name delete action</li>
    <li>Disabled LDAP referrals by default</li>
    </ul>
    </div>
    <div class="section" id="id6">
    <h2>2.31.0 - 2017-06-28<a class="headerlink" href="#id6" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Added <cite>USER_REGEX</cite> defaults to reference docs</li>
    <li>Added period (<cite>.</cite>) as a valid character for the default <cite>USER_REGEX</cite></li>
    <li>Added <cite>diskcache</cite> based repodata caching</li>
    <li>Added license url validation for packages</li>
    <li>Option to set storage keyname to full path</li>
    <li>Show error message when attempting to add duplicated collaborators</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>CSS fixes on top navbar</li>
    <li>CSS fixes on group names</li>
    <li>Added filter for valid packages in installer creation</li>
    <li>Added support for deleted Strip accounts</li>
    <li>Stops adding/updating labels if the validation fails</li>
    <li>Tokens modal is no longer going below the bottom of the page</li>
    <li>Displaying credit card errors correctly</li>
    <li>Handling LDAP login error</li>
    <li>Fixed highlight of proyect settings tab</li>
    <li>Updated tqdm version to stop exception on mirror download</li>
    <li>Environments summary is no longer duplicated</li>
    <li>Display correct package summary after update</li>
    <li>Customized success message on upvote depending on package type</li>
    <li>Updated links to docs for labels</li>
    <li>Updated verbose exception</li>
    <li>Fixed notebook revisions links</li>
    <li>Optimized query to get latest package versions</li>
    <li>Updated all references to docs with correct links for cloud</li>
    <li>Removed top-level domain validation from profile URL</li>
    <li>Improved speed of <cite>show_channel</cite> endpoint</li>
    <li>Added validation to prevent duplicated packages on installers</li>
    <li>Changed default label filter for packages to &#8216;all&#8217;</li>
    <li>Removed distinction of user menu based on username</li>
    <li>CSS issues with long names</li>
    <li>Fixed long project names overlapping</li>
    </ul>
    </div>
    <div class="section" id="id7">
    <h2>2.30.3 - 2017-06-06<a class="headerlink" href="#id7" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Added feeds for kapsel creation/removal/new revision</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Added some more plural forms for flash messages</li>
    <li>Show project description from latest revision instead of project summary</li>
    <li>Fixed window installer configuration files</li>
    <li>Moved project history to settings</li>
    <li>Projects and installers on the same row</li>
    <li>Fixed installer creation under LOCK_DOWN</li>
    <li>Fixed settings tab highlight on installer admin page</li>
    <li>Fixed handling of empty page param on search page</li>
    <li>Fixed <cite>max-age</cite> overflow on authentications endpoint</li>
    <li>Fixed project creation time</li>
    <li>Fixed installer form when <cite>python</cite> package has no releases</li>
    <li>Fixed subscriptions plans link</li>
    <li>Fixed unicode issues on contact form</li>
    <li>Merged LDAP login logic</li>
    <li>CSS clean up for groups with long names</li>
    </ul>
    </div>
    <div class="section" id="id8">
    <h2>2.30.2 - 2017-05-24<a class="headerlink" href="#id8" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Fixed authentications endpoint</li>
    </ul>
    </div>
    <div class="section" id="id9">
    <h2>2.30.1 - 2017-05-24<a class="headerlink" href="#id9" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Warning before deleting a package and all of its messages</li>
    <li>Tool to check orphan files and packages</li>
    <li>Added option to lock down all public pages</li>
    <li>Added link to contact us for custom plans.</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Display error message when config file is not found</li>
    <li>Fixes resend confirmation email</li>
    <li>Retrying on 502 error while mirroring conda</li>
    <li>Replace non-ascii characters from filename when downloading a file</li>
    <li>Added password validation to password reset form</li>
    <li>Handling 404 on s3 key_exists</li>
    <li>Removed files and packages will appear on package history</li>
    <li>Using user&#8217;s name and email on contact emails</li>
    <li>Changed <cite>Resend Email</cite> label to <cite>Password Reset</cite> in admin page</li>
    <li>Added placeholder to collaborators form</li>
    <li>Added singular form messages in flash notifications</li>
    <li>Fixed popup label for pkg/nbk/env settings</li>
    <li>Fixed scrollbar blocking content in installers documentation</li>
    <li>Added searchbox on navigation header for non-authenticated users</li>
    <li>Added more database indexes for better query performance</li>
    <li>Removed admin monitor page</li>
    <li>Increased request timeout default to 120 seconds</li>
    <li>Updated the mirror configuration examples</li>
    <li>Fixed URL for pricing info</li>
    <li>Fixed token creation API</li>
    <li>Removed outdated mirror documentation</li>
    <li>Added migration to normalize files data</li>
    <li>Added brand as key in api endpoint</li>
    <li>Declined credit card info is no longer stored</li>
    <li>Improved UI for group members page</li>
    </ul>
    </div>
    <div class="section" id="id10">
    <h2>2.30.0 - 2017-05-08<a class="headerlink" href="#id10" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Added EULA to the installer</li>
    <li>Contact Us form now sends emails to <a class="reference external" href="mailto:support&#37;&#52;&#48;anaconda&#46;org">support<span>&#64;</span>anaconda<span>&#46;</span>org</a></li>
    <li>Create organization instead of user on mirroring tools</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Fixed anaconda-server-sync-conda settings message</li>
    <li>Secured web helpers views</li>
    <li>Removed unused test endpoints</li>
    <li>Fixed insecure groups endpoint</li>
    <li>Fixed filename too long exception on type filter for installers</li>
    <li>Server side encryption on S3 storage</li>
    <li>Fixed documentation link in /settings/access API token page</li>
    <li>Year in footer matches current year</li>
    <li>Fixed password restrictions checks</li>
    <li>Replaced binstar-* message for anaconda-server-* on mirroring script</li>
    <li>Added missing instruction to Project upload instructions</li>
    <li>Fixed the way we load the license data from the database</li>
    <li>Added validation for reserved usernames</li>
    <li>Fixed package set-access on firefox</li>
    <li>Fixed encoding error on package information page</li>
    <li>Changed error message on installer creation form</li>
    </ul>
    </div>
    <div class="section" id="id11">
    <h2>2.29.1 - 2017-04-19<a class="headerlink" href="#id11" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Fixed access to LDAP views</li>
    <li>Removed unused <cite>remove_user</cite> view</li>
    <li>Add support for expired marketo access token</li>
    <li>Fixed exception on installer creation</li>
    </ul>
    </div>
    <div class="section" id="id12">
    <h2>2.29.0 - 2017-04-19<a class="headerlink" href="#id12" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Visibility on Projects feature</li>
    <li>Sortable account list by package count</li>
    <li>Change plan button for organizations</li>
    <li>Add lead source to marketo requests</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Fixed installers downloads</li>
    <li>Set S3 addressing style to &#8220;virtual&#8221;</li>
    <li>Fixed S3 ETag processing</li>
    <li>Fixed handling of missing arch attribute on search</li>
    <li>Typeahead endpoint access limits</li>
    <li>Changed supervisord runtime files location</li>
    <li>Allowing numeric named installers</li>
    <li>Allows installer creation with environment with url on the channel list</li>
    <li>Fixed typeahead on installer creation form</li>
    <li>Remove unreachable code</li>
    <li>Fixed flake8 findings</li>
    <li>Fixed installer collaborators form</li>
    <li>Fixed remove unlabeled files</li>
    <li>Fixed repo access admin for organizations</li>
    </ul>
    </div>
    <div class="section" id="id13">
    <h2>2.28.1 - 2017-04-03<a class="headerlink" href="#id13" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Installers can now be created from uploaded environments</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Fixed outdated version badges</li>
    <li>Add &#8220;jessie&#8221; and &#8220;sles12&#8221; parcel suffixes</li>
    <li>Only allows alphanumeric characters on installers name</li>
    <li>Fix group installers page</li>
    <li>Fix edition of existing installers</li>
    </ul>
    </div>
    <div class="section" id="id14">
    <h2>2.28 - 2017-03-22<a class="headerlink" href="#id14" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Add UI to delete and set access of packages on the repo page</li>
    <li>Add UI to delete files in the files section of the repo page</li>
    <li>Add UI to set and unset superuser and staff status on admin page</li>
    <li>Staff users can now access licensing</li>
    <li>Pagination on history for the account admin page</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Config set using <cite>anaconda-server-config</cite></li>
    <li>Username on page titles</li>
    <li>Fixed anaconda-server-sync-conda issue with local repos</li>
    <li>CSV export on emails with special characters</li>
    <li>Package label filtering</li>
    <li>Signup password validation error message</li>
    <li>Exception requesting non existing file url</li>
    <li>Fixed email confirmation for organizations</li>
    <li>Text overflow when username is too long</li>
    <li>Remove all user packages in a single action to avoid filling the queue</li>
    <li>Checking user existence on reset password</li>
    <li>Installer URL shows zip extension</li>
    </ul>
    </div>
    <div class="section" id="id15">
    <h2>2.27.5 - 2017-03-14<a class="headerlink" href="#id15" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Added boto dependency back</li>
    </ul>
    </div>
    <div class="section" id="id16">
    <h2>2.27.4 - 2017-03-03<a class="headerlink" href="#id16" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Support for S3 regions that only use V4 signatures</li>
    <li>Support for S3 server-side encryption</li>
    <li>Support for custom PyPI repo sync</li>
    <li>New releases overrides package&#8217;s description, summary, license and icon</li>
    <li>Update mongodb to 3.4</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>API endpoint <cite>DELETE /dist/{owner_login}/{package_name}/{version}/-/{_id}</cite>
    should delete the file with the associated ID</li>
    <li>Email validation on profile page</li>
    <li>Downloading files with spaces or special characters should result in the
    correct filename</li>
    <li>Some documentation URLs showed up without styling</li>
    <li>Fixed text overlap in admin deployment page</li>
    <li><cite>/downloads</cite> installers should generate configuration files correctly</li>
    <li>&#8220;Not Found&#8221; errors are more consistent and clear</li>
    <li>Package search timeout</li>
    <li>Displaying validation in the popup on account&#8217;s admin page</li>
    </ul>
    </div>
    <div class="section" id="id17">
    <h2>2.27.3 - 2017-03-02<a class="headerlink" href="#id17" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Add support for string license attribute</li>
    </ul>
    </div>
    <div class="section" id="id18">
    <h2>2.27.2 - 2017-02-27<a class="headerlink" href="#id18" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Remove pyc from ambari mpack templates folder</li>
    </ul>
    </div>
    <div class="section" id="id19">
    <h2>2.27.1 - 2017-02-23<a class="headerlink" href="#id19" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Limit to the cache</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Added missing ambari mpack templates folder</li>
    </ul>
    </div>
    <div class="section" id="id20">
    <h2>2.27.0 - 2017-02-15<a class="headerlink" href="#id20" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Support for generating custom Hortonworks/Ambari management packs</li>
    <li>License and license url to packages api</li>
    <li>Update email confirmation code to more secure and flexible hash</li>
    <li>Support for multiple users with same email (if option enabled)</li>
    <li>Admin support to remove an account</li>
    <li>Admin support to change storage size or change plan to free unlimited</li>
    <li>Package versions on installers and parcels are now optional</li>
    <li>Specify a configuration file with the environment variable ANACONDA_SERVER_CONFIG</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Noarch repodata should not include files that are missing platform and arch</li>
    <li>Fix attribute errors kapsel unit tests</li>
    <li>Mirror configuration <cite>python_versions</cite> should not require quotes</li>
    <li>Add link to package on Favorites page breadcrumbs.</li>
    <li>Improve support for POWER and ARM architectures.</li>
    <li>Provide a useful error page when MongoDB is unreachable.</li>
    <li>Fix notebook and env with same name</li>
    <li>Suppress form errors when adding or removing package/channels</li>
    <li>anaconda-server-config will work on the config file you actually have</li>
    <li>Remove temporary redirects on user settings and org groups settings</li>
    <li>Disable empty as a valid label/channel name</li>
    <li>Fix organization name on group membership view</li>
    <li>Disable Reset Password if it is the only button</li>
    </ul>
    </div>
    <div class="section" id="id21">
    <h2>2.26.5 - 2017-01-30<a class="headerlink" href="#id21" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Remove experimental feature from display.</li>
    </ul>
    </div>
    <div class="section" id="id22">
    <h2>2.26.4 - 2017-01-30<a class="headerlink" href="#id22" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Some files would not be cleaned up correctly when the corresponding user was deleted in the interface. Added a migration to clean up any existing unused files.</li>
    <li>Add <cite>anaconda-server-admin clean-storage</cite> command to clean up unused files.</li>
    <li>Fix csv column order on package info at the admin page.</li>
    <li>Render URLs in the package summary as links.</li>
    <li>Display correct breadcrumb for a selected environment.</li>
    <li>Sort labels on package page alphabetically.</li>
    <li>Pluralize storage information correctly.</li>
    </ul>
    </div>
    <div class="section" id="id23">
    <h2>2.26.3 - 2017-01-10<a class="headerlink" href="#id23" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Added AnacondaCON promo to Anaconda Cloud</li>
    </ul>
    </div>
    <div class="section" id="id24">
    <h2>2.26.2 - 2017-01-06<a class="headerlink" href="#id24" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Conda repodata is now cached more frequently.</li>
    <li>Constructor installer creation will now be terminated if it takes longer than 60 seconds.</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>An error that occurred when PyPI packages that were deleted were re-uploaded.</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-26-0-2016-12-19">
    <h2>Anaconda repository 2.26.0 - 2016-12-19<a class="headerlink" href="#anaconda-repository-2-26-0-2016-12-19" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Anaconda Repository has a new mirroring tool with reproducible results, and improved support for delta mirroring.</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-25-0-2016-11-30">
    <h2>Anaconda repository 2.25.0 - 2016-11-30<a class="headerlink" href="#anaconda-repository-2-25-0-2016-11-30" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Anaconda Repository is now distributed as a self-contained installer.</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-24-4-2016-11-17">
    <h2>Anaconda repository 2.24.4 - 2016-11-17<a class="headerlink" href="#anaconda-repository-2-24-4-2016-11-17" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>FIX: issues with async workers PR #3120, #3123</li>
    <li>FIX: Issue with sending forgotten username. PR #3120</li>
    <li>LOGGING: log everything to stdout. supervisord script will now log to file instead of syslog PR #3106</li>
    <li>KAPSEL: Remove kapsel uploader PR #3107</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-24-0-2016-11-09">
    <h2>Anaconda repository 2.24.0 - 2016-11-09<a class="headerlink" href="#anaconda-repository-2-24-0-2016-11-09" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Documentation updates</li>
    <li>Fix task queue (removed mtq library)</li>
    <li>Improve performance of pypi simple index page</li>
    <li>Move licensing code to anaconda_platform.component.licensing</li>
    <li>Add hotjar (cloud)</li>
    <li>Move username regex to check into settings</li>
    <li>Parcels: Add anaconda and python 2.7 as default packages</li>
    <li>Added AIC (Anaconda Installer Configuration) installers</li>
    <li>Remove Kapsel Execution</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-23-1-2016-10-25">
    <h2>Anaconda repository 2.23.1 - 2016-10-25<a class="headerlink" href="#anaconda-repository-2-23-1-2016-10-25" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Gevent in as the server worker_class</li>
    <li>Remove check of key existence in s3 for anaconda.org</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-22-0-2016-10-18">
    <h2>Anaconda repository 2.22.0 - 2016-10-18<a class="headerlink" href="#anaconda-repository-2-22-0-2016-10-18" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>API: added correct handling when user is deleted</li>
    <li>DOWNLOADS: allow unlimited storage of download stats</li>
    <li>UI: terms and conditions link was incorrectly escaped</li>
    <li>NOTEBOOKS: fix sorting of notebook versions</li>
    <li>REPO: copied package files would sometimes return 404</li>
    <li>UI: added default sorting to more tables</li>
    <li>REPO: usability and functionality fixes for CDH parcel generation</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-21-0-2016-09-29">
    <h2>Anaconda repository 2.21.0 - 2016-09-29<a class="headerlink" href="#anaconda-repository-2-21-0-2016-09-29" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>REPO: users can <a class="reference internal" href="../user/parcels.html"><span class="doc">create custom CDH parcels through Anaconda Repository</span></a></li>
    <li>UI: standardize sorting on tables</li>
    <li>UI: the software version is included in the footer of Anaconda Repository</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>NOTEBOOKS: added iframe sandboxing to notebooks</li>
    <li>NOTEBOOKS: fixed rendering of thumbnails uploaded by <cite>nb_anacondacloud</cite></li>
    <li>REPO: copied package files were sometimes incorrectly garbage collected</li>
    </ul>
    <p>Changed</p>
    <ul class="simple">
    <li>UI: The pages on the <cite>conda.anaconda.org</cite> and <cite>pypi.anaconda.org</cite> domains
    redirect to <cite>anaconda.org</cite>.</li>
    </ul>
    <p>Removed</p>
    <ul class="simple">
    <li>BUILD: The deprecated build feature has been removed from Anaconda Repository.</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-20-4-2016-09-26">
    <h2>Anaconda repository 2.20.4 - 2016-09-26<a class="headerlink" href="#anaconda-repository-2-20-4-2016-09-26" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>NOTEBOOKS: links in the notebook will open in the browser window directly,
    instead of inside of a frame.</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-20-3-2016-09-20">
    <h2>Anaconda repository 2.20.3 - 2016-09-20<a class="headerlink" href="#anaconda-repository-2-20-3-2016-09-20" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Allow numeric usernames</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-20-2-2016-08-18">
    <h2>Anaconda repository 2.20.2 - 2016-08-18<a class="headerlink" href="#anaconda-repository-2-20-2-2016-08-18" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>REPO: package types will correctly update from added files (#2492)</li>
    <li>UI: cluster pages now list apps associated with that cluster</li>
    <li>Notebooks larger than 25mb will not be rendered (#2336)</li>
    <li>API: the endpoint <code class="docutils literal"><span class="pre">/user/{account}/downloads/{start}--{end}</span></code> now provides
    download activity aggregated by package for an account.</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Improve the performance of the security feed (#2335)</li>
    </ul>
    <p>Changed</p>
    <ul class="simple">
    <li>UI: the reminder to use beta will be hidden for 24 hours when a user clicks
    the &#8220;close&#8221; button.</li>
    <li>BUILD: remove welcome to build message for build deprecation notice.</li>
    <li>UI: rename project to kapsel everywhere (except imports) (#2563)</li>
    <li>Collaborators page updated to new groups API (#2512)</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-19-5-2016-08-04">
    <h2>Anaconda repository 2.19.5 - 2016-08-04<a class="headerlink" href="#anaconda-repository-2-19-5-2016-08-04" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>Fixed generation of URLs to user notebook content server over https</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-19-4-2016-07-21">
    <h2>Anaconda repository 2.19.4 - 2016-07-21<a class="headerlink" href="#anaconda-repository-2-19-4-2016-07-21" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>DB: improved group migration to handle more corner cases</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-19-2-2016-07-07">
    <h2>Anaconda repository 2.19.2 - 2016-07-07<a class="headerlink" href="#anaconda-repository-2-19-2-2016-07-07" title="Permalink to this headline">¶</a></h2>
    <p>Fixed</p>
    <ul class="simple">
    <li>REPO: package types will correctly update from added files (#2492)</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-19-1-2016-07-07">
    <h2>Anaconda repository 2.19.1 - 2016-07-07<a class="headerlink" href="#anaconda-repository-2-19-1-2016-07-07" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Basic Cluster Pages</li>
    <li>Conda Caching - Conda endpoints now use Last-Modified/if-modified-since headers</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-18-0-2016-06-01">
    <h2>Anaconda repository 2.18.0 - 2016-06-01<a class="headerlink" href="#anaconda-repository-2-18-0-2016-06-01" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>API: add an endpoint <code class="docutils literal"><span class="pre">/user/{account}/downloads/{start}--{end}</span></code> that provides an aggregated summary of download activity for an account.</li>
    <li>BUILD: automatically scroll to the bottom of log when new lines are appended</li>
    <li>REPO: improve support for R packages</li>
    <li>WEB: license warning message includes a link to the license configuration page</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Users do not need to be logged into GitHub to trigger builds</li>
    <li>BUILD: remote address for workers will be detected correctly when running behind a proxy (#2036)</li>
    <li>API: LDAP users logging in for the first time via <cite>anaconda login</cite> are created correctly.</li>
    <li>PIP v8.1.2 fixed package name lookup</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-17-0-2016-04-18">
    <h2>Anaconda repository 2.17.0 - 2016-04-18<a class="headerlink" href="#anaconda-repository-2-17-0-2016-04-18" title="Permalink to this headline">¶</a></h2>
    <p>Added</p>
    <ul class="simple">
    <li>Queue administration page that displays build worker details and history (#1847)</li>
    <li>An additional configuration file can be specified with the environment variable <code class="docutils literal"><span class="pre">ANACONDA_SERVER_CONFIG</span></code>
    or the command line argument <code class="docutils literal"><span class="pre">--config-file</span></code></li>
    <li>Configuration files in the directory <code class="docutils literal"><span class="pre">$PREFIX/etc/anaconda-server/</span></code> will now be automatically loaded</li>
    <li>Better logging for login logic</li>
    <li>Failed logins are now recorded in the security log</li>
    <li><code class="docutils literal"><span class="pre">docs.anaconda.org</span></code> content is now bundled with Anaconda Repository</li>
    <li>New privacy policy</li>
    <li>Project&#8217;s API</li>
    <li>Show notebooks with nbpresent metadata as presentations (#1583)</li>
    <li>Can now view different versions of notebooks (#1764)</li>
    <li>Complete list of current settings on /admin/deployment (#1928)</li>
    <li>Decorator to validate params in a requests. (#1970)</li>
    <li><code class="docutils literal"><span class="pre">api.anaconda.org</span></code> returns <code class="docutils literal"><span class="pre">conda_url</span></code>, <code class="docutils literal"><span class="pre">pypi_url</span></code> and <code class="docutils literal"><span class="pre">main_url</span></code> (#1984)</li>
    <li><code class="docutils literal"><span class="pre">keyname</span></code> is displayed for superusers on the file details modal, allowing an
    administrator to locate a file on disk (#1985)</li>
    </ul>
    <p>Fixed</p>
    <ul class="simple">
    <li>Editing package description should not add extra whitespace (#1710)</li>
    <li>Starred packages owned by other users will appear on the dashboard (#1706)</li>
    <li>Notebook output that is too wide will display a scroll-bar (#1581)</li>
    <li>Cleaned up styling on CI settings page (#1713)</li>
    <li>Security log details modal should appear for non-administrator users</li>
    <li>More graceful handling of notebook rendering failure (#1548)</li>
    <li>GitHub OAuth flow in the user settings page (#1931)</li>
    <li>Changed conda install instructions to use short channel name</li>
    <li>Group API exceptions when viewing group members (#1959)</li>
    <li>Fixed error in sample enterprise config file (#1968)</li>
    </ul>
    <p>Changed</p>
    <ul class="simple">
    <li>Renamed &#8220;upvotes&#8221; to &#8220;favorites&#8221; (#1707)</li>
    <li>adjusted helptext for conda install from specific user channel (#1914)</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-16-6-2016-03-28">
    <h2>Anaconda repository 2.16.6 - 2016-03-28<a class="headerlink" href="#anaconda-repository-2-16-6-2016-03-28" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Clean up build workers that have been idle too long (#1749)</li>
    <li>Add SMTP support for sending email (#1747)</li>
    <li>Add remote address of build workers to queue status (#1743)</li>
    <li>Toggleable sections in build log output</li>
    <li>Render progress bars in build log correctly</li>
    <li>Fix organization page redirects</li>
    <li>Improve search performance for &#8220;type:pypi&#8221; query (#1808)</li>
    <li>Fix duplicated build item when resubmitting via CLI (#1805)</li>
    <li>Fix sorting of file sizes (#1783)</li>
    <li>Fix small issue in package files page</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-16-0-2016-02-25">
    <h2>Anaconda repository 2.16.0 - 2016-02-25<a class="headerlink" href="#anaconda-repository-2-16-0-2016-02-25" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Kerberos Authentication Support</li>
    <li>Several small fixes</li>
    <li>Performance improvements</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-15-5-2016-02-06">
    <h2>Anaconda repository 2.15.5 - 2016-02-06<a class="headerlink" href="#anaconda-repository-2-15-5-2016-02-06" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Minor fixes and improvements</li>
    <li>Made build a separate component from the server</li>
    <li>Added license code</li>
    <li>Improved UI</li>
    <li>Better support for labels</li>
    <li>Improved performance on user profiles / security pages</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-14-1-2016-01-20">
    <h2>Anaconda repository 2.14.1 - 2016-01-20<a class="headerlink" href="#anaconda-repository-2-14-1-2016-01-20" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Re-enabled the anaconda copy command</li>
    <li>Release renaming &#8220;channels&#8221; to &#8220;labels&#8221;</li>
    <li>Implemented new UI enhancements that included a new user dashboard</li>
    <li>Performed additional bug fixes</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-13-1-2016-01-12">
    <h2>Anaconda repository 2.13.1 - 2016-01-12<a class="headerlink" href="#anaconda-repository-2-13-1-2016-01-12" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Implemented &#8220;My upvotes&#8221; page</li>
    <li>Added UI improvements to notebooks</li>
    <li>Implemented error logging fixes</li>
    <li>Performed additional bug fixes</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-12-3-2015-12-22">
    <h2>Anaconda repository 2.12.3 - 2015-12-22<a class="headerlink" href="#anaconda-repository-2-12-3-2015-12-22" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Implemented UI Improvements to align with Anaconda branding, making A-Cloud easier to use</li>
    <li>Added confirmation after sending a message to support from the &#8220;contact us&#8221; page</li>
    <li>Removed left nav on dashboard</li>
    <li>Moved channel manager to the apps dropdown</li>
    <li>Made it easier for Academic users to access features by adding extended subdomain access for institutions</li>
    <li>Created a landing page for bug reporting to help A-Cloud users better self-select which repo for issue logging</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-11-2015-12-09">
    <h2>Anaconda repository 2.11 - 2015-12-09<a class="headerlink" href="#anaconda-repository-2-11-2015-12-09" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Implemented UI Improvements</li>
    <li>Fixed minor issues</li>
    <li>Improved user profile</li>
    <li>Improved password validation</li>
    <li>Updated plans and pricing pages</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-10-2015-11-13">
    <h2>Anaconda repository 2.10 - 2015-11-13<a class="headerlink" href="#anaconda-repository-2-10-2015-11-13" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Implemented UI Improvements</li>
    </ul>
    </div>
    <div class="section" id="anaconda-repository-2-9-2015-09-28">
    <h2>Anaconda repository 2.9 - 2015-09-28<a class="headerlink" href="#anaconda-repository-2-9-2015-09-28" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Implemented Upgrade/Setup script</li>
    <li>Offered free MKL Optimizations and free IOPro Addons for academic use</li>
    <li>Added command line scripts for user name changes</li>
    <li>Allowed port number configuration</li>
    <li>The Anaconda Server will subsequently be referred to as Anaconda repository</li>
    </ul>
    </div>
    <div class="section" id="anaconda-server-2-8-2015-08-27">
    <h2>Anaconda Server 2.8 - 2015-08-27<a class="headerlink" href="#anaconda-server-2-8-2015-08-27" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Added support for Jupyter 4.0</li>
    <li>Made passwords  configurable</li>
    <li>Supplied better error messages</li>
    </ul>
    </div>
    <div class="section" id="anaconda-server-2-7-2015-07-28">
    <h2>Anaconda Server 2.7 - 2015-07-28<a class="headerlink" href="#anaconda-server-2-7-2015-07-28" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Implemented a new environment page</li>
    <li>Offered new channel features</li>
    </ul>
    </div>
    <div class="section" id="anaconda-server-2-6-2015-07-23">
    <h2>Anaconda Server 2.6 - 2015-07-23<a class="headerlink" href="#anaconda-server-2-6-2015-07-23" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li>Added support for <a class="reference external" href="noarch-packages.html">conda noarch packages</a>.</li>
    <li>Exposed additional distribution attributes via the API</li>
    <li>Changed Anaconda Server&#8217;s underlying webserver from tornado to gunicorn</li>
    </ul>
    </div>
    <div class="section" id="anaconda-server-2-3-2015-04-24">
    <h2>Anaconda Server 2.3 - 2015-04-24<a class="headerlink" href="#anaconda-server-2-3-2015-04-24" title="Permalink to this headline">¶</a></h2>
    <ul class="simple">
    <li><a class="reference external" href="mirrors-sync-configuration.html">Increased specificity</a> when mirroring the Anaconda repository including more robust license-blacklisting capacity and new python version-filtering capacity</li>
    <li>Implemented the ability to <a class="reference external" href="notebooks.html">upload iPython notebooks</a> to your Anaconda Server user account</li>
    </ul>
    </div>
    <div class="section" id="anaconda-server-2-2-2015-04-17">
    <h2>Anaconda Server 2.2 - 2015-04-17<a class="headerlink" href="#anaconda-server-2-2-2015-04-17" title="Permalink to this headline">¶</a></h2>
    <ul>
    <li><p class="first">Improved the user interface for channel-based interactions, which allowed users to manage multiple package and channel interactions from a single dashboard</p>
    </li>
    <li><p class="first">Performed additional unit testing</p>
    </li>
    <li><dl class="first docutils">
    <dt>Due to a lack of backwards compatibility, this release locks the following two versions of the dependency packages:</dt>
    <dd><ul class="first last simple">
    <li>flask-wtf=0.8.4</li>
    <li>werkzeug=0.9.6</li>
    </ul>
    </dd>
    </dl>
    </li>
    </ul>
    </div>
